petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSynchronizedFlush

Flushes to the screen output from all processors involved in previous PetscSynchronizedPrintf()/PetscSynchronizedFPrintf() calls.

### Synopsis

    PetscErrorCode PetscSynchronizedFlush(MPI_Comm comm,FILE *fd)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| fd | - the file pointer (valid on process 0 of the communicator)

### Notes

If PetscSynchronizedPrintf() and/or PetscSynchronizedFPrintf() are called with different MPI communicators there must be an intervening call to PetscSynchronizedFlush() between the calls with different MPI communicators.

From Fortran pass PETSC_STDOUT if the flush is for standard out; otherwise pass a value obtained from PetscFOpen()

### See Also

PetscSynchronizedPrintf(), PetscFPrintf(), PetscPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf()

### Level

intermediate

### Location

src/sys/fileio/mprint.c

### Examples

src/sys/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex51.c.html
src/ksp/pc/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex10.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages